<!DOCTYPE html>
<html lang="en">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Simple Form</title>
</head>
<body>
    <div id="token">Token Belum Ada</div>
    <div id="login">
        <h1 class="login">Login</h1>
        <form name="myForm"  method="post">
            Username: <input type="text" name="name" id="user1">
        </br>
            Password: <input type="text" name="name" id="pass1">
            <input type="button" value="simpan" class="abc">
        </form>
    </div>
    <hr>
    <div id="Register">
        <h1 class="register">Register</h1>
        <form name="myForm"  method="post">
            Username: <input type="text" name="name" id="user1x">
        </br>
            Password: <input type="text" name="name" id="pass1x">
            <input type="button" value="simpan" class="abcx">
        </form>
    </div>
    <hr>
    <div id="show">
        <input type="button" value="show" class="show">
    </div>
    <div id="data_checklist">
    </div>
    <hr>
    
    <input type="button" value="save" class="save">
    <div id="cari">
        <h1 class="login">Cari</h1>
        <form name="myForm"  method="post">
            Cari: <input type="text" name="name" id="cari_data">
        </br>
            <input type="button" value="cari" class="cari_buton">
        </form>
    </div>
    <hr>
    <div id="save_item">
        <h1 class="login">Save Item</h1>
        <form name="myForm"  method="post">
            Save: <input type="text" name="name" id="save_data">
        </br>
            <input type="button" value="save" class="save_buton">
        </form>
    </div>
    <hr>
    <div id="getbyid">
        <h1 class="login">Get by Id</h1>
        <form name="myForm"  method="post">
            checklistId: <input type="text" name="name" id="get_data">
        </br>
        Id: <input type="text" name="name" id="get_data2">
            <input type="button" value="save" class="get_buton">
        </form>
    </div>
    <hr>
    <div id="putbyid">
        <h1 class="login">Put by Id</h1>
        <form name="myForm"  method="post">
            checklistId: <input type="text" name="name" id="put_data">
        </br>
        Id: <input type="text" name="name" id="put_data2">
            <input type="button" value="save" class="put_buton">
        </form>
    </div>
    <hr>
    <div id="deletebyid">
        <h1 class="login">Delete by Id</h1>
        <form name="myForm"  method="post">
            checklistId: <input type="text" name="name" id="delete_data">
        </br>
        Id: <input type="text" name="name" id="delete_data2">
            <input type="button" value="save" class="delete_buton">
        </form>
    </div>
    <hr>
    <div id="renamebyid">
        <h1 class="login">Rename by Id</h1>
        <form name="myForm"  method="post">
            checklistId: <input type="text" name="name" id="rename_data">
        </br>
        Id: <input type="text" name="name" id="rename_data2">
            <input type="button" value="save" class="rename_buton">
        </form>
    </div>
    <hr>

</body>
</html>
<script>
    token = ''
 $(document).ready(function(){
 })

 $('.abc').on('click',function(){
    id = $('#user1').val()
    pass = $('#pass1').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/login',
                type: 'POST',
                contentType: 'application/json', 
                dataType: 'json', 
                data: JSON.stringify({ 
                    username: 'string',
                    password: 'string'
                }),
                success: function(data) {
                    token = data.data.token
                    $('#token').html('<h2>token sudah ada</h2>')
                    // $('#login').hide()
                    // $('#Register').hide()
                    // $('#show').show()
                    // $('#cari').show()
                },
            });
 })
 $('.abcx').on('click',function(){
    id = $('#user1x').val()
    pass = $('#pass1x').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/register',
                type: 'POST',
                contentType: 'application/json', 
                dataType: 'json', 
                data: JSON.stringify({ 
                    email: id,
                    password: pass,
                    username: 'ddddddd12455',
                }),
                success: function(data) {
                    alert('terhubung ke api')
                    // $('#login').hide()
                    // $('#Register').hide()
                    // $('#show').show()
                    // $('#cari').show()
                },
            });
 })
 $('.show').on('click',function(){
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist',
                type: 'GET',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                success: function(data) {
                    html =''
                    _data = data.data
                    for (let i = 0; i < data.data.length; i++) {
                        html += 'id = ' + _data[i]['id'] + ' name = ' + _data[i]['name'] + '<input type="button" value="hapus" class="hapus" id=' + _data[i]['id'] +'>'
                        html += '</br>'
                    }
                    $('#data_checklist').html(html)
                    $('.save').show()
                },
            });
 })
 $('.cari_buton').on('click',function(){
    caridata = $('#cari_data').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + caridata + '/item',
                type: 'GET',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                success: function(data) {
                    alert('terhubung ke api')
                },
            });
 })
 $('.save_buton').on('click',function(){
    savedata = $('#save_data').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + savedata + '/item',
                type: 'POST',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                contentType: 'application/json', 
                dataType: 'json', 
                data: JSON.stringify({ 
                    itemName: savedata,
                }),
                success: function(data) {
                    alert('Proses save berhasil')
                },
            });
 })
 $('.get_buton').on('click',function(){
    console.log(123)
    a1 = $('#get_data').val()
    a2 = $('#get_data2').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + a1 + '/item/' + a2,
                type: 'GET',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                // contentType: 'application/json', 
                // dataType: 'json', 
                // data: JSON.stringify({ 
                //     itemName: savedata,
                // }),
                success: function(data) {
                    alert('Proses get berhasil')
                },
            });
 })
 $('.put_buton').on('click',function(){
    console.log(123)
    a1 = $('#put_data').val()
    a2 = $('#put_data2').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + a1 + '/item/' + a2,
                type: 'PUT',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                // contentType: 'application/json', 
                // dataType: 'json', 
                // data: JSON.stringify({ 
                //     itemName: savedata,
                // }),
                success: function(data) {
                    alert('Proses put berhasil')
                },
            });
 })
 $('.delete_buton').on('click',function(){
    console.log(123)
    a1 = $('#delete_data').val()
    a2 = $('#delete_data2').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + a1 + '/item/' + a2,
                type: 'PUT',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                // contentType: 'application/json', 
                // dataType: 'json', 
                // data: JSON.stringify({ 
                //     itemName: savedata,
                // }),
                success: function(data) {
                    alert('Proses delete berhasil')
                },
            });
 })
 $('.rename_buton').on('click',function(){
    a1 = $('#rename_data').val()
    a2 = $('#rename_data2').val()
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + a1 + '/item/rename/' + a2,
                type: 'PUT',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                contentType: 'application/json', 
                dataType: 'json', 
                data: JSON.stringify({ 
                    itemName: a1,
                }),
                success: function(data) {
                    alert('Proses rename berhasil')
                },
            });
 })
 $('.save').on('click',function(){
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist',
                type: 'POST',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                contentType: 'application/json', 
                dataType: 'json', 
                data: JSON.stringify({ 
                    name: 'string',
                }),
                success: function(data) {
                   alert('tersimpan')
                },
            });
 })
 $(document).on('click','.hapus',function(){
    id = $(this).attr('id')
    $.ajax({
                url: 'http://94.74.86.174:8080/api/checklist/' + id,
                type: 'DELETE',
                headers: {
                    'Authorization': 'Bearer ' + token
                },
                contentType: 'application/json', 
                dataType: 'json', 
                success: function(data) {
                   alert('terhapus')
                },
            });
 })

</script>
